> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Generations

> The list generations endpoint lets users retrieve information about all their generated media and their associated generation details. Users can filter by generation_id, media_id or status.



## OpenAPI

````yaml get /pub/v1/generations
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/generations:
    get:
      tags:
        - Generation
      summary: Fetch feed
      description: >-
        The list generations endpoint lets users retrieve information about all
        their generated media and their associated generation details. Users can
        filter by generation_id, media_id or status.
      parameters:
        - description: The status of the feed item. (optional)
          example: success
          in: query
          name: status
          schema:
            enum:
              - success
              - failed
            type: string
        - description: The id of the media (optional)
          in: query
          name: media_id
          schema:
            type: string
        - description: The id of the generation (optional)
          in: query
          name: generation_id
          schema:
            type: string
        - description: The page number of the feed
          example: 1
          in: query
          name: page
          schema:
            minimum: 1
            type: integer
        - description: The page size of the feed
          example: 10
          in: query
          name: page_size
          schema:
            maximum: 50
            minimum: 1
            type: integer
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedSuccessResponse'
          description: A list of feed items
components:
  schemas:
    FeedSuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/FeedItem'
          type: array
        err:
          description: The error if the request was not successful
          type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: The pagination information
          type: object
      type: object
    FeedItem:
      properties:
        created_at:
          description: The date and time when the feed item was created
          example: 1675732000
          format: timestamp
          type: integer
        generation_id:
          description: The id of the generation
          example: gen_01
          type: string
        media:
          items:
            $ref: '#/components/schemas/Media'
          type: array
      type: object
    Pagination:
      properties:
        page:
          description: The page number
          example: 1
          type: integer
        page_size:
          description: The page size
          example: 10
          maximum: 50
          minimum: 1
          type: integer
        total:
          description: The total number of items
          example: 100
          type: integer
      type: object
    Media:
      properties:
        id:
          description: The id of the media
          example: media_01
          type: string
        dim:
          $ref: '#/components/schemas/MediaDimension'
        type:
          description: The type of the media
          enum:
            - image
            - video
          example: image
          type: string
        status:
          description: The status of the media
          enum:
            - pending
            - success
            - failed
          example: success
          type: string
        url:
          description: >-
            The url of the media. In case of success, contains the media url. In
            case of failed, it is empty. In case of pending, this field will not
            be sent.
          example: object-url
          type: string
      type: object
    MediaDimension:
      properties:
        height:
          description: The height of the media
          example: 512
          type: integer
        width:
          description: The width of the media
          example: 512
          type: integer
      required:
        - height
        - width
      type: object

````